Package: org.codehaus.groovy.binding

## [Java] Enum UpdateStrategy

- org.codehaus.groovy.binding.PropertyBinding.UpdateStrategy

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ASYNC` |
    `DEFER` |
    `MIXED` |
    `OUTSIDE` |
    `SAME` |
    `SYNC` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static UpdateStrategy` | `of(String str)` @author Danno Ferrin

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PropertyBinding.UpdateStrategy ASYNC

    - #### PropertyBinding.UpdateStrategy DEFER

    - #### PropertyBinding.UpdateStrategy MIXED

    - #### PropertyBinding.UpdateStrategy OUTSIDE

    - #### PropertyBinding.UpdateStrategy SAME

    - #### PropertyBinding.UpdateStrategy SYNC

  - ### Method Detail

    - #### public static UpdateStrategy of(String str)

      Authors:
        Danno Ferrin
        Andres Almiray
      Since:
        Groovy 1.1